Uploaded image for project: 'Beam'
  1. Beam
  2. BEAM-10247

google-api-core 1.20.0 is incompatible with the pinned version of grpc

    XMLWordPrintableJSON

Details

    • Bug
    • Status: Resolved
    • P1
    • Resolution: Fixed
    • None
    • 2.23.0
    • sdk-py-harness
    • None

    Description

      It looks like the google-api-core 1.20.0 has an issue with required dependency or the lack thereof. This is causing this issue when using datastore:

       

      Traceback (most recent call last):
      {{ File "./query_license.py", line 11, in <module>}}
      {{ from google.cloud import datastore}}
      {{ File "/root/apache-beam-custom/lib/python3.7/site-packages/google/cloud/datastore/_init_.py", line 62, in <module>}}
      {{ from google.cloud.datastore.batch import Batch}}
      {{ File "/root/apache-beam-custom/lib/python3.7/site-packages/google/cloud/datastore/batch.py", line 24, in <module>}}
      {{ from google.cloud.datastore import helpers}}
      {{ File "/root/apache-beam-custom/lib/python3.7/site-packages/google/cloud/datastore/helpers.py", line 29, in <module>}}
      {{ from google.cloud.datastore_v1.proto import datastore_pb2}}
      {{ File "/root/apache-beam-custom/lib/python3.7/site-packages/google/cloud/datastore_v1/_init_.py", line 18, in <module>}}
      {{ from google.cloud.datastore_v1.gapic import datastore_client}}
      {{ File "/root/apache-beam-custom/lib/python3.7/site-packages/google/cloud/datastore_v1/gapic/datastore_client.py", line 22, in <module>}}
      {{ import google.api_core.gapic_v1.client_info}}
      {{ File "/root/apache-beam-custom/lib/python3.7/site-packages/google/api_core/gapic_v1/_init_.py", line 26, in <module>}}
      {{ from google.api_core.gapic_v1 import method_async # noqa: F401}}
      {{ File "/root/apache-beam-custom/lib/python3.7/site-packages/google/api_core/gapic_v1/method_async.py", line 20, in <module>}}
      {{ from google.api_core import general_helpers, grpc_helpers_async}}
      {{ File "/root/apache-beam-custom/lib/python3.7/site-packages/google/api_core/grpc_helpers_async.py", line 25, in <module>}}
      {{ from grpc.experimental import aio}}
      {{ ImportError: cannot import name 'aio' from 'grpc.experimental' (/root/apache-beam-custom/lib/python3.7/site-packages/grpc/experimental/_init_.py)}}

      Attachments

        Issue Links

          Activity

            People

              davidyan David Yan
              davidyan David Yan
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved:

                Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0h
                  0h
                  Logged:
                  Time Spent - 4h 20m
                  4h 20m